/*************************************************************************
Title........ cdrom.h
Date......... Fri Mar 31 10:06:45  2000
Author....... YourName
*************************************************************************/
/****	Defines */

#define V_TIME 10000000

/****	Type Definitions */
typedef union
	{
	UWORD bw[1024];
	UBYTE bc[2048];
	} CDDATA;

typedef struct pkt
	{
	UWORD	opcode;
	UWORD	data0;
	UWORD	data1;
	UWORD	data2;
	UWORD	data3;
	UWORD	data4;
	} PKT;

typedef	struct ide
	{
	UBYTE	select;
	UBYTE	feature;
	UBYTE	hcyl;
	UBYTE	lcyl;
	} IDE;

typedef	struct cmdpkt
	{
	IDE		ide;
	PKT		pkt;
	} PKTCMD;



typedef enum cdromsts
	{
	OK,
	NOTREADY=0x20,
	NEWDISK=0x60,
	NODRIVE=0xf0,
	SENSEMASK=0xf0,

	UNKNOWN=0x100,
	TIMEOUT=0x200,
	NULLSTS=0x300,
	NOTFOUND=0x400,
	FAILMASK=0xf00
	} CDROMSTS;

typedef	enum dirflags
	{
	HIDDEN		=0x01,
	DIRECTORY	=0x02,
	MORERECORDS	=0x80,
	} DIRFLAGS;

typedef struct
	{
	TIME	inittimeout;
	} CDROMCFG;

typedef struct cdromvars
	{
	const CDROMCFG* config;
	} CDROMVARS;

typedef	struct cdromservices
	{
	CDROMSTS	(*initialise)(const DEVICE* dev);
	CDROMSTS	(*drivestatus)(const DEVICE* dev);
	CDROMSTS	(*enquiry)(const DEVICE* dev,char* s);
	CDROMSTS	(*lock)(const DEVICE* dev);
	CDROMSTS	(*unlock)(const DEVICE* dev);
	CDROMSTS	(*readvolumedesc)(const DEVICE* dev);
	CDROMSTS	(*readblock)(const DEVICE* dev,LONG sector,LONG length,UWORD *info);

	void		(*getvolumedesc)(const DEVICE* dev,char* s);

	CDROMSTS	(*readpktcmd)(const DEVICE* dev,const PKTCMD* pkt,UWORD* info);
	UBYTE		(*busy)(const DEVICE* dev);
	} CDROMSERVICES;


/****	Prototypes */

	#include	"cdrom.p"

/*************************************************************************/
