/*************************************************************************
Title........ graphics.h
Date......... Wed Feb 23 14:08:52  2000
Author....... A.J.Austin
*************************************************************************/
/****	Defines */

#define VIDEO_BASE (void*)0x3000000

/* video display memory: address offset - LINEAR ADDRESSING MODE (2 Mbyte linear)*/
#define LINEAR_RAM (void*)(VIDEO_BASE+0x200000)

/* video display memory addressing modes */
#define MSDOS	0
#define LINEAR	2

/* update sprite mode */
#define TRANSPARENT_MODE 0x08

/* BLT Mode bit definitions*/
#define COLOR_EXPAND				0x80
#define COLOR_EXPAND_TRANSPARENT	0x08

/* BLT ROP function definitions */
#define SRCCOPY         0x0d
#define SRCAND          0x05
#define SRCPAINT        0x6d

/* video display memory size: 2 Mbytes for Pluto 5 */
#define VRAM_SIZE	0x200000

/* Pluto 5: CS3 Base Address*/
#define CS3			0x3000000

/* Video Memory Start Address (Linear Address Mode) */
#define VRAM		CS3+0x200000

/* Cirrus 5429 address */
#define _5429_regs	CS3+0x80000

/* Cirrus 5429 Registers */
#define _5429_STAT	_5429_regs+0x3da	/* Input Status Register 1 */
#define _5429_MISC	_5429_regs+0x3c2	/* Misc Output Register */
#define _5429_PMASK	_5429_regs+0x3c6	/* Pixel Mask */
#define _5429_PADRD	_5429_regs+0x3c7	/* Pixel Address Read */
#define _5429_PADWR	_5429_regs+0x3c8	/* Pixel Address Write */
#define _5429_PDATA	_5429_regs+0x3c9	/* Pixel Data */
#define _5429_SR	_5429_regs+0x3c4	/* VGA Sequencer Registers */
#define _5429_CR	_5429_regs+0x3d4	/* CRT Controller Registers */
#define _5429_GR	_5429_regs+0x3ce	/* VGA Graphics Controller Registers */
#define _5429_AR	_5429_regs+0x3c0	/* VGA Attribute Controller Registers */

/****	Type Definitions */

typedef	struct cirrus5429cfg
	{
	const WORD* screenmode;
	const RGB*	palette;
	} CIRRUS5429CFG;


/****	Prototypes */

	#include	"cir5429.p"

/*************************************************************************/
