/***********************************************************************
Title........ elo.h
Date......... 4 April 2003
Author....... Alan Austin
Description..
************************************************************************/

/****	Defines */

/* timeouts - multiples of 10ms */
#define ELO_NORMAL_TIMEOUT	100

/* ascii */
#define LEAD_IN	'U'

typedef enum elosts {
	ELO_COMMS_OK,
	ELO_COMMS_FAIL,
	ELO_COMMS_TIMEOUT,
	ELO_COMMS_CHECKSUM_ERROR,
	ELO_PROTOCOL_ERROR,
	ELO_ACKNOWLEDGE_ERROR
} ELOSTS;

typedef enum eloidpacket {
	ELO_ID_CMD,
	ELO_ID_TYPE,
	ELO_ID_IO,
	ELO_ID_FEATURES,
	ELO_ID_MINOR,
	ELO_ID_MAJOR,
	ELO_ID_P,
	ELO_ID_IFLAG,
} ELOIDPACKET;

/****	Type Definitions */

typedef struct elomodel {
	BYTE make[32];
	BYTE model[32];
	BYTE revision[32];
} ELOMODEL;

typedef struct eloparams {
	BYTE data[32];
} ELOPARAMS;

typedef	struct elocfg {
	const DEVICE* serial_dev;
	BYTE serial_channel;
} ELOCFG;

typedef struct elovars {
	const ELOCFG* config;
} ELOVARS;


/****	Prototypes */

	#include	"elo.p"

/*************************************************************************/
