/***********************************************************************
Title........ microtouch.h
Date......... 26 March 2003
Author....... Alan Austin
Description..
************************************************************************/

/****	Defines */

/* timeouts - multiples of 10ms */
#define MICROTOUCH_NORMAL_TIMEOUT	10
#define MICROTOUCH_RESET_TIMEOUT	100

/* ascii */
#define SOH	0x01
#define CR	0x0d

typedef enum microtouchsts {
	MICROTOUCH_COMMS_OK,
	MICROTOUCH_COMMS_FAIL,
	MICROTOUCH_COMMS_TIMEOUT,
	MICROTOUCH_COMMS_INVALID_RESPONSE

} MICROTOUCHSTS;

/****	Type Definitions */

typedef struct microtouchmodel {
	BYTE make[32];
	BYTE model[32];
	BYTE revision[32];
} MICROTOUCHMODEL;

typedef struct microtouchparams {
	BYTE data[32];
} MICROTOUCHPARAMS;

typedef	struct microtouchcfg {
	const DEVICE* serial_dev;
	BYTE serial_channel;
} MICROTOUCHCFG;

typedef struct microtouchvars {
	const MICROTOUCHCFG* config;
} MICROTOUCHVARS;


/****	Prototypes */

	#include	"microtouch.p"

/*************************************************************************/
