/* video.c */
extern void InitDisplayMode(const DEVICE *dev, const WORD *regtable);
extern void LoadPalette(const DEVICE *dev, const RGB *palette);
extern void SetPalette(const DEVICE *dev, UBYTE entry, RGB *col);
extern void GetPalette(const DEVICE *dev, UBYTE entry, RGB *col);
extern void SetDisplayStart(const DEVICE *dev, ULONG offset);
extern void VideoOn(const DEVICE *dev);
extern void VideoOff(const DEVICE *dev);
extern void LoadFont(const DEVICE *dev, const ULONG *font);
extern void TextColour(const DEVICE *dev, UWORD forcol, UWORD bakcol);
extern void SetCursor(const DEVICE *dev, LONG screen, WORD x, WORD y);
extern void VPutChar(const DEVICE *dev, UBYTE ch);
extern void VPutStr(const DEVICE *dev, const char *s);
extern void VPutText(const DEVICE *dev, const char *s);
extern void PutPixel(const DEVICE *dev, LONG screen, LONG x, LONG y, UWORD color);
extern UWORD GetPixel(const DEVICE *dev, LONG screen, LONG x, LONG y);
extern void RestoreBackground(const DEVICE *dev, LONG screenbase, LONG x, LONG y, LONG saveaddress, LONG xsize, LONG ysize);
extern void SaveBackground(const DEVICE *dev, LONG screenbase, LONG x, LONG y, LONG saveaddress, LONG xsize, LONG ysize);
extern void PutSprite(const DEVICE *dev, LONG screenbase, LONG x, LONG y, LONG image_start, LONG xsize, LONG ysize, LONG mode);
extern void PutImage(const DEVICE *dev, LONG screenbase, LONG x, LONG y, const WORD *image);
extern void PutWinImage(const DEVICE *dev, LONG screenbase, WINDOW *win, LONG wx, LONG wy, const WORD *image);
extern LONG GetImageX(const WORD *image);
extern LONG GetImageY(const WORD *image);
extern const WORD *GetImageStart(const WORD *image);
extern UBYTE BltBusy(const DEVICE *dev);
extern void Line(LONG screenbase, LONG Ax, LONG Ay, LONG Bx, LONG By, UWORD color);
extern void Circle(LONG screen, LONG xcentre, LONG ycentre, LONG radius, UBYTE color);
extern void Rectangle(LONG screen, LONG left, LONG top, LONG right, LONG bottom, UBYTE color);
extern LONG LoadSprite(const DEVICE *dev, const WORD *startaddr, LONG offset, LONG size);
extern LONG LoadImage(const DEVICE *dev, const WORD *startaddr, LONG offset, LONG size);
extern BYTE ScreenFree(const DEVICE *dev, BYTE scrn);
extern void SetDoubleBuffer(const DEVICE *dev, LONG scrn0, LONG scrn1, BYTE rate);
extern LONG GetScreen(const DEVICE *dev, BYTE scrn);
extern void InitDrawframe(const DEVICE *dev, WORD mode, LONG base, WORD xres);
extern void InitLayer(const DEVICE *dev, void *layer, BYTE colour_mode, BYTE flip_mode, WORD transparent_colour, WORD width, WORD height, LONG orig_adr0, LONG disp_adr0, LONG orig_adr1, LONG disp_adr1);
extern void EnableLayer(const DEVICE *dev, UBYTE select);
extern void DisableLayer(const DEVICE *dev, UBYTE select);
extern void ScrollLayer(const DEVICE *dev, void *layer, ULONG xoff, ULONG yoff);
extern void ClearLayer(const DEVICE *dev, void *layer, BYTE scrn, LONG width);
extern void ClearArea(const DEVICE *dev, void *layer, BYTE scrn, LONG x, LONG y, LONG xsize, LONG ysize);
extern UBYTE Vsync(const DEVICE *dev);
extern void ClearBackground(const DEVICE *dev, LONG screenbase, LONG xsize, LONG ysize);
extern void ClearSprite(const DEVICE *dev, LONG screenbase, LONG x, LONG y, LONG xsize, LONG ysize);
extern void ScreenToggle(const DEVICE *dev, WORD enable);
extern void ScreenPartitionX(const DEVICE *dev, WORD x);
extern void SetWindowLayer(const DEVICE *dev, WORD xpos, WORD ypos, WORD width, WORD height);
extern void LoadCPalette(const DEVICE *dev, const RGB *palette);
extern void GetCPalette(const DEVICE *dev, UBYTE entry, RGB *col);
extern void SetCPalette(const DEVICE *dev, UBYTE entry, RGB *col);
extern void LoadMBPalette(const DEVICE *dev, const RGB *palette);
extern void GetMBPalette(const DEVICE *dev, UBYTE entry, RGB *col);
extern void SetMBPalette(const DEVICE *dev, UBYTE entry, RGB *col);
extern void Blit(const DEVICE *dev, LONG saddr, LONG sstride, WORD srx, WORD sry, LONG daddr, LONG dstride, WORD drx, WORD dry, WORD brsizex, WORD brsizey);
extern void CremsonByteOrder(const DEVICE *dev, UBYTE order);
extern LONG MakeSprite(const DEVICE *dev, WORD *startaddr, LONG offset);
extern LONG LoadImage800x600(const DEVICE *dev, const WORD *startaddr, LONG offset, LONG size);
extern void SetColorMode(const DEVICE *dev, UBYTE mode);
extern UBYTE GetColorMode(const DEVICE *dev);
